<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [HTTPRequest](./puppeteer.httprequest.md)

## HTTPRequest class

<b>Signature:</b>

```typescript
export declare class HTTPRequest 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(client, frame, interceptionId, allowInterception, event, redirectChain)](./puppeteer.httprequest._constructor_.md) |  | Constructs a new instance of the <code>HTTPRequest</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\_failureText](./puppeteer.httprequest._failuretext.md) |  | any |  |
|  [\_fromMemoryCache](./puppeteer.httprequest._frommemorycache.md) |  | boolean |  |
|  [\_interceptionId](./puppeteer.httprequest._interceptionid.md) |  | string |  |
|  [\_redirectChain](./puppeteer.httprequest._redirectchain.md) |  | [HTTPRequest](./puppeteer.httprequest.md)<!-- -->\[\] |  |
|  [\_requestId](./puppeteer.httprequest._requestid.md) |  | string |  |
|  [\_response](./puppeteer.httprequest._response.md) |  | [HTTPResponse](./puppeteer.httpresponse.md) \| null |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [abort(errorCode)](./puppeteer.httprequest.abort.md) |  |  |
|  [continue(overrides)](./puppeteer.httprequest.continue.md) |  |  |
|  [failure()](./puppeteer.httprequest.failure.md) |  |  |
|  [frame()](./puppeteer.httprequest.frame.md) |  |  |
|  [headers()](./puppeteer.httprequest.headers.md) |  |  |
|  [isNavigationRequest()](./puppeteer.httprequest.isnavigationrequest.md) |  |  |
|  [method()](./puppeteer.httprequest.method.md) |  |  |
|  [postData()](./puppeteer.httprequest.postdata.md) |  |  |
|  [redirectChain()](./puppeteer.httprequest.redirectchain.md) |  |  |
|  [resourceType()](./puppeteer.httprequest.resourcetype.md) |  |  |
|  [respond(response)](./puppeteer.httprequest.respond.md) |  |  |
|  [response()](./puppeteer.httprequest.response.md) |  |  |
|  [url()](./puppeteer.httprequest.url.md) |  |  |

